package com.yeejoin.amos.boot.module.ymt.api.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ymt.api.dto.VoiceRecordFileDto;

import java.util.List;

/**
 * 通话记录附件接口类
 *
 * @author system_generator
 * @date 2021-08-03
 */
public interface IVoiceRecordFileService {

    void publishRecord(VoiceRecordFileDto model);

    Page<VoiceRecordFileDto> queryRecordListByQueryDto(Page<VoiceRecordFileDto> page, String telEndTimeStr, String telEndTimeStr1, String fileType, String tel, String workNum, String sortParam, String sortRule);

    VoiceRecordFileDto getRecordById(Long sequenceNbr);

    List<VoiceRecordFileDto> selectExportData(String exportId);
}
